import request from '@/utils/request'

// 字典列表
export function dictList(query) {
  return request({
    url: '/system/dict/data/type',
    method: 'get',
    params:query
  })
}

// 人员列表
export function allUserList(query) {
  return request({
    url: '/sys/user/getAll',
    method: 'post',
    params:query
  })
}

// 客户表彰列表
export function citeList(query) {
  return request({
    url: '/customer/commend/user/page',
    method: 'get',
    params:query
  })
}

//客户表彰上传
export function uploadCite(data) {
  return request({
    url: '/customer/commend/upload',
    method: 'post',
    data
  })
}

// 初始化积分领取
export function lockStatus(query) {
  return request({
    url: 'mall-user/lockStatus',
    method: 'get',
    params:query
  })
}
// 初始化积分领取
export function unlock(query) {
  return request({
    url: '/mall-user/unlock',
    method: 'post',
    params:query
  })
}
// 节日活动
export function actList(data) {
  return request({
    url: '/mall-act/user/list',
    method: 'get',
    data
  })
}
//积分规则类型
export function integralTypes(query) {
  return request({
    url: '/system/dict/data/type',
    method: 'get',
    params:query
  })
}
// 员工积分记录列表
export function userlogs(query) {
  return request({
    url: '/mall-integral/userlogs',
    method: 'get',
    params:query
  })
}
//表彰墙
export function commendPage(query) {
  return request({
    url: '/mall-integral-obtain/commend/user/page',
    method: 'get',
    params:query
  })
}

//勋章墙
export function medalList(query) {
  return request({
    url: '/mall-user-medal/list',
    method: 'get',
    params:query
  })
}

// 表彰详情
export function commendDetail(query) {
  return request({
    url: '/mall-commend/commend/staff/info',
    method: 'get',
    params: query
  })
}

//证书类型
export function certificatType(query) {
  return request({
    url: '/mall-certificat/list',
    method: 'get',
    params:query
  })
}

//证书列表
export function certificatePage(query) {
  return request({
    url: '/mall-integral-obtain/certificate/user/page',
    method: 'post',
    params:query
  })
}

//证书上传
export function certificateUpload(data) {
  return request({
    url: '/mall-integral-obtain/certificate/upload',
    method: 'post',
    data
  })
}

//用户-积分排行榜
export function integralTop(query) {
  return request({
    url: '/mall-integral/user/top',
    method: 'get',
    params:query
  })
}

// 商品兑换列表
export function integralList(query) {
  return request({
    url: '/mall-sku/integral/user/list',
    method: 'get',
    params:query
  })
}

// 商品详情
export function integralInfo(query) {
  return request({
    url: '/mall-sku/integral/info',
    method: 'get',
    params: query
  })
}

// 节日礼品兑换列表
export function festivalList(query) {
  return request({
    url: '/mall-sku/festival/user/list',
    method: 'post',
    params: query
  })
}

// 节日礼品详情
export function festivalInfo(query) {
  return request({
    url: '/mall-sku/festival/user/info',
    method: 'get',
    params: query
  })
}
// 兑换须知   商品兑换须知 goodsNotice 礼品兑换须知giftNotice  积分规则integralNotice
export function notice(query) {
  return request({
    url: '/news/mall/getNotice',
    method: 'get',
    params: query
  })
}

//积分兑换
export function start(query) {
  return request({
    url: '/mall-order/start',
    method: 'post',
    data:query
  })
}
//福利券兑换
export function kill(query) {
  return request({
    url: '/mall-order/kill',
    method: 'post',
    data:query
  })
}


//福利分类
export function welfareType(data) {
  return request({
    url: '/mall-sku/user/getWelfare',
    method: 'post',
    data
  })
}


//用户福利、兑换券列表
export function welfareList(query) {
  return request({
    url: '/mall-welfare/welfare/user/list',
    method: 'get',
    params:query
  })
}
//用户福利领取
export function receiveWelfare(query) {
  return request({
    url: '/mall-welfare/receive',
    method: 'post',
    params:query
  })
}


//用户兑换列表
export function orderList(query) {
  return request({
    url: '/mall-order/user/list',
    method: 'post',
    params:query
  })
}

//订单详情
export function orderInfo(query) {
  return request({
    url: '/mall-order/info',
    method: 'post',
    params:query
  })
}


//员工确认
export function orderConfirm(query) {
  return request({
    url: '/mall-order/user/confirm',
    method: 'post',
    params:query
  })
}

//首页消息列表
export function msgList(query) {
  return request({
    url: '/mall-msg/page',
    method: 'get',
    params:query
  })
}

//首页消息详情
export function msgInfo(query) {
  return request({
    url: '/mall-msg/info',
    method: 'get',
    params:query
  })
}

//首页获取用户信息
export function useInfo(query) {
  return request({
    url: '/mall-integral/getUseInfo',
    method: 'get',
    params:query
  })
}


export function sign(query) {
  return request({
    url: '/mall-sign/sgin',
    method: 'post',
    params:query
  })
}

export function signInfo(query) {
  return request({
    url: '/mall-sign/signCount',
    method: 'get',
    params:query
  })
}

export function deleteNews(data) {
  return request({
    url: '/news/delete',
    method: 'post',
    data
  })
}

export function deleteAllNews(data) {
  return request({
    url: '/news/deleteQuantity',
    method: 'post',
    params: data
  })
}
